Subject: PO sheets missing
From: "Mike" <[email-masked]>
To: "Blake Hunter IMS" <[email-masked]>
Date: Mon, 14 Apr 2008 10:45:17 -0400

Blake,
I received 8 orders this morning but 3 without the PO page.  Bissell Apts in IL did not provide me with a PO # and didn't even provide me with a contact person.  I called the number and it just rings with no answer.  Also I received order forms only from Woodruff Estates and Blair park.  Do you want me to go ahead and process these two since I do have a PO number for each of these or would you rather I wait to get the actual completed paperwork?  Let me know how you would like me to handle this.
Michael Bishop
Labor Law Poster Service
Phone 877-321-4144
Fax 888-442-4144
[email-masked]